Bug 124033 - CD switching broken with system-config-packages when CD is automounted earlier
Summary: CD switching broken with system-config-packages when CD is automounted earlier
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-23 01:55 UTC by Elliot Lee
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 19:15:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2004-05-23 01:55:55 UTC
system-config-packages has the capability of asking a user to insert a
CD to install packages.

If the CD disc gets automounted (e.g. by magicdev), then
system-config-packages will try & fail to mount the CD.

system-config-packages should check whether the CD is already mounted
before trying to mount it again.

Comment 1 Jeremy Katz 2004-05-24 02:32:36 UTC
I wonder if we lost the hack that is supposed to make this work. 
Unfortunately, I don't remember the details of what it was :)

Comment 2 Preston Wade 2004-06-17 17:56:25 UTC
If I could add a comment about this package.  Last night I loaded FC2 
and then later decided to load the development tools.  I had to 
switch between disc1 and disc2 about 15 times.  Should I register 
this as an additional bug?

Comment 3 Alexander Larsson 2004-08-27 14:09:50 UTC
jeremy: I think the hack was related to nautilus, but nautilus doesn't
auto-mount CDs anymore. I dunno, might be a new problem.

preston: open a new bug (if one doesn't already exist).

Comment 4 Ruben Marrero 2004-10-08 22:31:35 UTC
Nautilus does automount CD's *sometimes*

Konq always automounts CDs so this bug is more easily reproduced. 

Seems like s-c-p needs the CD mounted as root, or it won't read it and
fail with "Cannot access CD". So to make it work, one needs to
manually unmount the cd and let s-c-p mount it. It will work ok from
there.


Comment 5 Matthew Miller 2005-04-26 16:33:48 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 6 Marius Andreiana 2005-08-19 21:00:16 UTC
Updated summary. Any feedback for FC4 version?

Comment 7 Jeremy Katz 2005-09-21 19:15:18 UTC
Closing as resolved in current releases


Note You need to log in before you can comment on or make changes to this bug.